ECHO OFF
CLS
:MENU
ECHO.
ECHO ...............................................
ECHO PRESS 1,2,3 to select your task, or 4 to EXIT.
ECHO ...............................................
ECHO.
ECHO 1 - Install Firebird x32
ECHO 2 - Install Firebird x64
ECHO 3 - Install BDE
ECHO 4 - EXIT
ECHO.
SET /P M=Type 1, 2, 3 or 4 then press ENTER:
ECHO.
ECHO INSTALING.....
IF %M%==1 GOTO FB32
IF %M%==2 GOTO FB64
IF %M%==3 GOTO BDE
IF %M%<>1 OR %M%<>2 OR %M%<>3 GOTO EOF
:FB32
Firebird-3.0.2.32703_0_Win32.exe /VERYSILENT /MERGETASKS="UseSuperServerTask\UseGuardianTask,!CopyFbClientToSysTask,EnableLegacyClientAuth"
copy GDS32.DLL C:\Windows\System32 /Y
GOTO MENU
:FB64
Firebird-3.0.2.32703_0_x64.exe /VERYSILENT /MERGETASKS="UseSuperServerTask\UseGuardianTask,!CopyFbClientToSysTask,EnableLegacyClientAuth"
copy GDS32.DLL C:\Windows\System32 /Y
GOTO MENU
:BDE
BDESetup.EXE /s
GOTO MENU

EXIT
